Executando aplicações debian 32 bits em um debian 64 bits

Essa dica vale em especial para rodar aplicações compiladas no lazarus 32 bits em ambientes 64 bits. Funcionou perfeitamente para mim, mas como não sou expert em linux, e ainda por cima descobri isso na tentativa e erro, não posso garantir que funcione em todos o casos. Mas vá lá:

Bem, para que sua aplicação 32 bits funcione em um linux 64 bits (no meu caso, um debian 6), você deve instalar os seguintes pacotes:

ia32-libs
ia32-libs-gtk

Para fazer isso no Debian, com o usuário root execute estes comandos:

   aptitude install ia32-libs
   aptitude install ia32-libs-gtk

Lembre-se que dependendo da aplicação, ela poderá solicitar mais pacotes, que também deverão ser instalados.

Espero ter ajudado!


Posted by: Raphael Zimermann
Posted on: 26/06/2012 at 16:56
Tags: , , , ,
Categories: Desenvolvimento | Linux | Tutoriais
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Debian Wheezy: Rede sem fio não gerenciável

...Esse probleminha era um problema que estava torrando minha paciência... Após duas instalações do debian wheezy, tive esse problema, onde apesar de estar conectado em minha rede sem fio e acessando a internet normalmente, não podia fazer nenhuma configuração na rede. Até aí não há tanto problema assim - afinal a rede estava funcionando. O problema que os programas que verificam se a rede de internet está ativa (como o evolution), se recusavam a funcionar.

Depois de alguma pesquisa, achei a solução:

Entre no terminal como root e edite o arquivo /etc/network/interfaces. Para fazer isso, usando o gedit, use o comando abaixo:

gedit /etc/network/interfaces

Bom, ao abrir o arquivo, é provável que haja uma configuração da sua atual rede, que na verdade não deve estar aí. Apague tudo e deixe apenas a configuração abaixo:

# The loopback network interface
auto lo
iface lo inet loopback

Reinicie seu PC, e selecione a rede à conectar normalmente, como faria em outros sistemas. Depois disso, divirta-se acessando meu outro site - o e-Zap! www.e-zap.net

Cool


Posted by: Raphael Zimermann
Posted on: 04/06/2012 at 20:10
Tags: , ,
Categories: Linux | Tutoriais
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Desabilitando a memória virtual (swap) no Debian

Essa é uma dica bem útil e interessante caso você possua bastante memória RAM no seu PC ou notebook.

A memória swap é acionada quando seu computador não tem mais memória RAM o suficiente para trabalhar. Se você desativar o swap do linux, em um caso de necessidade certamente terá problemas; Mas tendo bastante mamória (uns 3GB para cima), pode ter alguns poucos benefícios. Bom, você escolhe... mas a dica está aí:

Para desligar ou ligar, entre no terminal como root e use um dos comandos abaixo:

Desligar: swapoff -a

Ligar: swapon -a

Bom, é isso! Abraços ;)


Posted by: Raphael Zimermann
Posted on: 01/06/2012 at 20:33
Tags: , , , ,
Categories: Linux | Matérias | Tutoriais
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Instalando o Java no Debian Squeeze

Eu não sou muito amigo do java, mas não dá para negar a importância que ele tem em nosso dia-a-dia.

Nossa dica de hoje será como instalar o java no Debian Squeeze. O processo é muito fácil; apenas siga os seguintes passos.

Primeiro, vamos habilitar os pacotes non-free do Debian. Note que para fazer isso de forma básica, não é necessário editar o sources.list como se diz poraí; Apenas vá no menu Sistema/Administração/Fontes de Aplicativos. Marque então as opções conforme abaixo:

Agora, entre no terminal como root. Execute os seguintes comandos (O texto em itálico é apenas uma observação):

apt-get update      isso faz a atualização dos pacotes
aptitude install sun-java6-jre sun-java6-fonts     isso vai instalar o java

Após prosseguir com a instalação, concordando com os termos d licença e afins, o java estará instalado.

Agora, uma coisa que eu achei bem legal: Você pode escolher a versão/controlador do java, com o seguinte comando:

update-alternatives --config java

Bom, a princípio é isso. Espero que tenham gostado; Até a próxima!

 


Posted by: Raphael Zimermann
Posted on: 22/05/2012 at 10:02
Tags: , , ,
Categories: Matérias | Tecnologia | Tutoriais | Linux
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Instalando a impressora HP LaserJet P1102w no Debian Squeeze

Tentei instalar minha impressora, uma HP P1102w no Debian Squeeze, mas apesar de a instalação se mostrar muito fácil, a impressora não funcionava - dava erro no CUPS. Pesquisando em uns sites de fora, achei uma solução, que a princípio serviria também para outros modelos da HP; porisso, se estiver com o mesmo problema, tente isso. Vamos ver a solução?

Obs: Uma informação nova: Caso você não consiga dar um 'make' no passo 2, pode ser que você não tenha o make instalado. Para resolver isso, use os dois comandos abaixo:

aptitude install make
aptitude install gcc

Agora, continuando: 

1) Baixe a versão atualizada do foo2zjs - um driver opensource que faz a impressora funcionar. Note que o debian 6 já tem esse driver ao instalar a sua HP, mas a versão que ele usa não funciona direito.

Para isso, excecute no terminal (usuário root) o seguinte:
wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz

Isso irá baixar a versão mais nova. Uma observação é: seja esperto; se um dia você ler esse post, e o arquivo não estiver sendo baixado, lembre-se que ele pode ter sido substituído por uma versão mais nova ainda; Tente descobrir qual é e baixe elaCool

2) Instale o foo2zjs

Para isso, primeiro temos que descompactar o arquivo baixado, entrar na pasta gerada, preparar a instalação com make, e instalar a compilação com o make install. Siga os passos a seguir no terminal:

tar zxf foo2zjs.tar.gz
cd foo2zjs
make
make install

Após isso, instale sua impressora normalmente, pelo gerenciamento de impressão. Imprima uma página de teste para ter certeza que funcionou (não vai querer esperar ver se funcionou na hora do aperto, não é?)

Espero que o leitor tenha sido ajudado pela minha pesquisa. Até a próxima pessoal!

 


Posted by: Raphael Zimermann
Posted on: 19/05/2012 at 18:39
Tags: , , , ,
Categories: Matérias | Tecnologia | Tutoriais
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Habilitando o Gnome 3 no Debian wheezy com placas ATI

Essa semana resolvi testar o novo debian wheezy (que ainda está em versão teste). Havia ficado fascinado com o visual do Gnome 3 rodando nesta excelente distribuição. Porém, após o processo de instalação, o visual ficou com o padrão clássico do gnome, pois o gnome 3 identificou que minha placa (uma ATI Radeon HD3000) não poderia funcionar estando instalada do jeito que está(va).

Achei alguns tutoriais na net, que aparentemente funcionariam (não deixe de ver a nota sobre os drivers oficiais), mas nada funcionou, por causa de um detalhe que faria a diferença.

O que o pessoal diz nos tutoriais:

Basicamente, você encontrará instruções como esta abaixo:

rode o comando #lspci -v | grep VGA (bla bla blá)... - Esse comando só vai te mostrar qual é sua placa. Mas suponho que se você chegou aqui, sabe que sua placa é ATI (fez até rima rs)
rode o comando #apt-get install firmware-linux-nonfree ... - Você roda e... surpresa! Não existe o pacote :(
edite o arquivo bla_bla_blá, execute o comando bla blé bli ... - Outras coisas que não dão certo...

Bom, depois de muito saco cheio, você acharia uma solução... Mas que tal saber agora qual é?
O segredo está justamente no pacote firmware-linux-nonfree, só que, ao você tentar instalar, descobre que ele não está nos repositórios. Não sei do porque disso; Vi um post poraí de março agora, que o cara tinha conseguido baixar.
Para resolver tudo, basta baixar diretamente da fonte o firmware-linux-nonfree.

Para baixar o firmware-linux-nonfree, acesse http://packages.debian.org/wheezy/all/firmware-linux-nonfree/download

No link acima, você deverá baixar de um dos servidores o arquivo firmware-linux-nonfree_0.35_all.deb (ou outro mais novo que aparecer depois).
Vá onde você baixou o arquivo, execute-o, espere a instalação terminar e reinicie seu computador.

Apos isso... relaxe e curta o visual. É meu camarada, era só isso!

Nota importante: Não baixe os drivers oficiais

Mas porque? Bem, para começar, seu Debian já tem drivers para a sua ATI. Eles não funcionam com toda a capacidade, mas estão aí. Quando você instala os drivers oficiais, baixados do site da ATI, você tem duas situações: A primeira é que não fará diferença no visual do gnome, porque eles não ativam totalmente a aceleração; A segunda situação é que foi reportado que usar estes drivers pode deixar o visual gráfico pior, com janelas se arrastando lentamente como se você estivesse em um pc podre. Essa segunda situação reportada eu ignorei, e após isso... tive que reinstalar todo o sistema :(

Siga meu tutorial e seja feliz.... \o/

 


Posted by: Raphael Zimermann
Posted on: 15/05/2012 at 21:50
Tags: , , , ,
Categories: Matérias | Tecnologia
Actions: E-mail | Kick it! | DZone it! | del.icio.us
Post Information: Permalink | Comentários (0) | Post RSSRSS comment feed

Visitas: 1584673